/* w32gpgme.h - W32 specific utility code for GPGME.
 *	Copyright (C) 2005 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WinPT; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef W32_GPGME_H
#define W32_GPGME_H

#ifdef __cplusplus
extern "C" {
#endif

#include "gpgme.h"


gpgme_error_t gpg_data_new_from_clipboard (gpgme_data_t *r_dh, int wraplen);
void	     gpg_data_release_and_set_clipboard (gpgme_data_t dh, int chg_ver);
size_t       gpg_data_readline (gpgme_data_t dh, char *line, size_t nbytes);

gpgme_error_t gpg_data_release_and_set_file (gpgme_data_t dh, const char *fname);
gpgme_error_t  gpg_data_mail_quote (gpgme_data_t *r_dh);
gpgme_error_t  gpg_data_extract_plaintext (gpgme_data_t sig, gpgme_data_t *r_plain);


/* Clipboard interface */
gpgme_error_t gpg_clip_istext_avail (int *r_rc);
gpgme_error_t gpg_clip_is_secured (int *r_type, int *r_rc);
gpgme_error_t gpg_clip_get_pgptype (int *r_type);
gpgme_error_t gpg_clip_parse_pgpid (const char *data, int *r_type);
gpgme_error_t gpg_clip_do_check (int *r_rc);

#ifdef __cplusplus
}
#endif

#endif /*W32_GPGME_H*/
